freerdp-shadow-cli(1)

NAME
freerdp-shadow-cli - A utility for sharing a X display via RDP.

SYNOPSIS
freerdp-shadow-cli [/port:<port number>] [/ipc-socket:<ipc-socket>] [/monitors:<0,1,2,...>] [/rect:<x,y,w,h>] [+auth] [-may-view] [-may-interact] [/sec:<rdp|tls|nla|ext>] [-sec-rdp] [-sec-tls] [-sec-nla] [-sec-ext] [/sam-file:<file>] [/version] [/help]

DESCRIPTION
freerdp-shadow-cli can be used to share a running X display like with VNC but by using the RDP instead. It is also possibly to share only parts (rect) of the display.

OPTIONS

/ipc-socket:<ipc-socket>
    If this option is set an ipc socket with the path ipc-socket is used instead of a TCP socket.

/port:<port>
    Set the port to use. Default is 3389. This option is ignored if ipc-socket is used.

/monitors:<1,2,3,...>
    Select the monitor(s) to share.

/rect:<x,y,w,h>
    Select rectangle within monitor to share.

-auth
    Disable authentication. If authentication is enabled PAM is used with the X11 subsystem. Running as root is not necessary, however if run as user only the same user that started freerdp-shadow-cli can authenticate.
    Warning: If authentication is disabled everyone can connect.

-may-view
    Clients may view without prompt.

-may-interact
    Clients may interact without prompt.

/sec:<rdp|tls|nla|ext>
    Force a specific protocol security

-sec-rdp
    Disable RDP security (default:on)

-sec-tls
    Disable TLS protocol security (default:on)

-sec-nla
    Disable NLA protocol security (default:on)

+sec-ext
    Use NLA extended protocol security (default:off)

/sam-file:<file>
    NTLM SAM file for NLA authentication

/version
    Print the version and exit.

/help
    Print the help and exit.

EXAMPLES
freerdp-shadow-cli /port:12345 When run as user within a X session (for example from an xterm) a socket on 12345 is opened and the current display is shared via RDP.

EXIT STATUS

0   Successful program execution.

1   Otherwise.

SEE ALSO
wlog(7)

AUTHOR
FreeRDP <team@freerdp.com>